Bug 954532

Summary: Elantech Touchpad on Acer Aspire R11 not detected
Product: [openSUSE] openSUSE Tumbleweed Reporter: Robin Roevens <robin.roevens1>
Component: KernelAssignee: E-mail List <kernel-maintainers>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Critical    
Priority: P1 - Urgent CC: agraf, andresbs2000, comes, jkosina, mkubecek, robin.roevens1, tiwai
Version: Current   
Target Milestone: ---   
Hardware: x86-64   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: output of lspci -vvnn
Output of dmesg
Contents of /proc/bus/input/devices
Output of dmesg with i8042.nopnp parameter
Output of dmesg with latest kernel from OBS kernel:stable
Output of dmesg with latest kernel from OBS kernel:stable with i8042.nopnp parameter
Output of dmesg on kernel 4.1.12-5.gdf75c6
dmidecode Acer A515

Description Robin Roevens 2015-11-10 19:48:19 UTC
Installed Tumbleweed on a brand new Acer Aspire R11 (R3-131T-C56L). Turned out the Touchpad does not work. It is even not listed in /proc/bus/input/devices.
The Raydium touchscreen however works correctly.

I first tried Leap 42.1 on this machine but had to convert to Tumbleweed since ACPI and the VGA adapter where not correctly supported. BUT the touchpad was detected correctly and worked without problem.
On Tumbleweed ACPI and VGA work correctly but no touchpad is detected.

When I boot in the Leap Recovery system /proc/bus/input/devices contains this about the touchpad:
I: Bus=0011 Vendor=0002 Product=000e Version=0000
N: Name="ETPS/2 Elantech Touchpad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input4
U: Uniq=
H: Handlers=mouse0 event1
B: PROP=5
B: EV=b
B: KEY=e420 10000 0 0 0 0
B: ABS=661800011000003

In Tumbleweed it just is not listed.
Comment 1 Robin Roevens 2015-11-10 20:12:34 UTC
Created attachment 655441 [details]
output of lspci -vvnn
Comment 2 Robin Roevens 2015-11-10 20:13:44 UTC
Created attachment 655442 [details]
Output of dmesg
Comment 3 Robin Roevens 2015-11-10 20:15:11 UTC
Created attachment 655443 [details]
Contents of /proc/bus/input/devices
Comment 4 Robin Roevens 2015-11-10 20:32:03 UTC
When adding the i8042.nopnp kernel option as suggested in dmesg, the touchpad is actually detected:

[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-1-default root=UUID=06008050-df8d-4df8-9e01-70382db6e46e resume=/dev/sda2 splash=silent quiet showopts i8042.nopnp
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.3.0-1-default root=UUID=06008050-df8d-4df8-9e01-70382db6e46e resume=/dev/sda2 splash=silent quiet showopts i8042.nopnp
[    3.842935] i8042: PNP detection disabled
[    3.846391] serio: i8042 KBD port at 0x60,0x64 irq 1
[    3.846499] serio: i8042 AUX port at 0x60,0x64 irq 12
[    3.869509] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    4.482022] input: ETPS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input2

and in /proc/bus/input/devices:
I: Bus=0011 Vendor=0002 Product=000e Version=0000
N: Name="ETPS/2 Elantech Touchpad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input2
U: Uniq=
H: Handlers=mouse0 event1 
B: PROP=5
B: EV=b
B: KEY=e420 10000 0 0 0 0
B: ABS=661800011000003

It is even picked up by Xorg:
v 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (II) config/udev: Adding input device ETPS/2 Elantech Touchpad (/dev/input/event1)
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: Applying InputClass "evdev touchpad catchall"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: Applying InputClass "evdev touchpad catchall"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: Applying InputClass "touchpad catchall"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: Applying InputClass "Default clickpad buttons"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (II) LoadModule: "synaptics"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (II) Loading /usr/lib64/xorg/modules/input/synaptics_drv.so
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (II) Module synaptics: vendor="X.Org Foundation"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: compiled for 1.17.4, module version = 1.8.3
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: Module class: X.Org XInput Driver
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: ABI class: X.Org XInput driver, version 21.0
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (II) systemd-logind: got fd for /dev/input/event1 13:65 fd 19 paused 0
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (II) Using input driver 'synaptics' for 'ETPS/2 Elantech Touchpad'
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: always reports core events
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) Option "Device" "/dev/input/event1"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (II) synaptics: ETPS/2 Elantech Touchpad: found clickpad property
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (--) synaptics: ETPS/2 Elantech Touchpad: x-axis range 0 - 3214 (res 31)
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (--) synaptics: ETPS/2 Elantech Touchpad: y-axis range 0 - 1795 (res 31)
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (--) synaptics: ETPS/2 Elantech Touchpad: pressure range 0 - 255
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (--) synaptics: ETPS/2 Elantech Touchpad: finger width range 0 - 15
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (--) synaptics: ETPS/2 Elantech Touchpad: buttons: left double triple
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (--) synaptics: ETPS/2 Elantech Touchpad: Vendor 0x2 Product 0xe
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) Option "HorizEdgeScroll" "off"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) Option "TapButton1" "1"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) Option "TapButton2" "3"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) Option "TapButton3" "2"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) Option "SoftButtonAreas" "50% 0 82% 0 0 0 0 0"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (--) synaptics: ETPS/2 Elantech Touchpad: touchpad found
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: always reports core events
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input2/event1"
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (II) XINPUT: Adding extended input device "ETPS/2 Elantech Touchpad" (type: TOUCHPAD, i
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) synaptics: ETPS/2 Elantech Touchpad: (accel) MinSpeed is now constant deceleration
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) synaptics: ETPS/2 Elantech Touchpad: (accel) MaxSpeed is now 1.75
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) synaptics: ETPS/2 Elantech Touchpad: (accel) AccelFactor is now 0.054
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: (accel) keeping acceleration scheme 1
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: (accel) acceleration profile 1
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: (accel) acceleration factor: 2.000
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (**) ETPS/2 Elantech Touchpad: (accel) acceleration threshold: 4
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (--) synaptics: ETPS/2 Elantech Touchpad: touchpad found
nov 10 21:19:04 kleinelaptop /usr/lib/gdm/gdm-x-session[1129]: (II) config/udev: Adding input device ETPS/2 Elantech Touchpad (/dev/input/mouse0)

But even then.. it just doesn't work..

And yes, there is a soft-button to enable and disable the touchpad, but I never touched that button before and in Leap it just worked. And also if I now push that button, it keeps on not working, so that doesn't seem to make any difference. Also no entry in journalctl when I push that button.
Comment 5 Takashi Iwai 2015-11-10 20:37:53 UTC
Could you give the full dmesg output with i8042.nopnp?

Also, try 4.3 kernel available in OBS Kernel:stable repo.  There have been a few fixes regarding elantech touchpad, and it might be that not all fixes have been backported to 4.1.x kernel.
Comment 6 Robin Roevens 2015-11-10 21:07:05 UTC
Created attachment 655447 [details]
Output of dmesg with i8042.nopnp parameter
Comment 7 Robin Roevens 2015-11-10 21:10:43 UTC
The current kernel in Tumbleweed is 4.3.0-1 
On Leap it was indeed 4.1 which lacked correct support for acpi and vga on this machine.

I will try the kernel version from OBS kernel:stable
Comment 8 Robin Roevens 2015-11-10 21:31:14 UTC
Created attachment 655448 [details]
Output of dmesg with latest kernel from OBS kernel:stable
Comment 9 Robin Roevens 2015-11-10 21:32:01 UTC
Created attachment 655449 [details]
Output of dmesg with latest kernel from OBS kernel:stable with i8042.nopnp parameter
Comment 10 Takashi Iwai 2015-11-10 21:33:05 UTC
Ah, sorry, I have misread your report: it's a regression on TW, and Leap worked.

Then, could you install the Leap kernel (4.1.x) on the TW system and boot with it?  It's available in OBS Kernel:openSUSE-42.1 repo.  You can test the input device even without graphics, etc.  Use evtest program (install evtest.rpm if not found).

On Linux console (VT1 or so), run evtest with the input device file (as root).  Something like:
  evtest /dev/input/by-path/platform-i8042-serio-1-event-mouse

and touch your touchpad.  It'll show the position, button, etc.

You can test the same with TW kernel.
Comment 11 Robin Roevens 2015-11-10 21:36:44 UTC
I installed latest kernel from OBS kernel:stable (which was a bit of a hassle: first zypper didn't want to install it since the leap kernel package was also sgtill installed.. next the UEFI secure boot didn't want to boot it since there was no valid signature..)

Anyway, now running:
Linux 4.3.0-1.g7b374a4-default #1 SMP PREEMPT Mon Nov 2 15:35:09 UTC 2015 (7b374a4) x86_64 x86_64 x86_64 GNU/Linux

but the result is the same. See attached output of dmesg, without and with the i8042.nopnp parameter.
Comment 12 Robin Roevens 2015-11-10 22:15:48 UTC
Installed kernel from Leap on TW.
Now with acpi=off Xorg doesnt start up but also keeps trying starting up so I don't get the chance to log into cli as the terminal constantly flickers back to failing X.
and with acpi enabled, I get a black screen during boot and can't do anything (SSH is not  enabled on the laptop)
I also can't boot in 4.3 anymore to disable Xorg since zypper removed that kernel during install of 4.1.
How do I prevent X from starting in this state ?
Comment 13 Robin Roevens 2015-11-10 22:37:14 UTC
Created attachment 655451 [details]
Output of dmesg on kernel 4.1.12-5.gdf75c6

I was able to rollback a 4.3 snapshot, switch to multi-user mode instead of graphical mode and re-install 4.1.
Now I'm able to boot into 4.1.12-5 in CLI.

evtest shows clearly that the touchpad is now working.
Comment 14 Takashi Iwai 2015-11-11 07:58:41 UTC
Thanks.  I haven't found so much difference in elantech code between 4.1 and 4.3.
This makes me wonder whether 4.3 would work in the input dev level.

Please try boot 4.3 kernel and test just like 4.1 kernel, i.e. with acpi=off and evtest.  Do you still see difference from 4.1?  Also, try with normal boot (with i8042.nopnp) but test with evtest.  How about this?

For installing a kernel package, just run like
   zypper in --oldpackage kernel-*.rpm

This will work in most cases without changing anything else.  For recovering 4.3, run zypper again like
   zypper in -f -r repo-oss kernel-default
supposing repo-oss is the main TW repository.

For booting without X, just put "3" to the boot option, which means to boot in runlevel 3 in the old manner of sysv.

Last but not least: the problem with blackscreen on Leap kernel is also interesting.  For that, try to boot with nomodeset boot option.  This will keep UEFI framebuffer mode without native graphics driver.
Comment 15 Robin Roevens 2015-11-11 10:10:22 UTC
I tried your suggestions. To summarize the results:

- In TW: Booting with 4.3 and acpi=off results in touchpad working. evtest show events when touching the pad. Xorg however fails to start.

- In TW: Booting with 4.3, acpi enabled and i8042.nopnp results in device existing but touchpad NOT working. evtest doesn't show events when touching the pad.  Xorg does start correctly with accelerated VGA.

- In TW: Booting with 4.3, normal boot without extra parameters results in device not being detected (AUX port disabled warning). Xorg does start correctly with accelerated VGA. 

- In TW: Booting with 4.1, acpi enabled and nomodeset the screen indeed does not turn black during boot. However, it seems now also using this kernel, the touchpad is also NOT detected. (warning about AUX being disabled in dmesg). Xorg fails to start.

- In Leap: Booting with acpi=off resulted in Xorg starting up using unaccelerated framebuffer graphics. Touchpad working. 

.. So it seems to be ACPI related.

I also noticed, as it may be related in some way: (just giving you this information, in case it could be useful. I don't really require investigation on these things)
- Whenever i boot with acpi enabled there is no graphical splash screen displayed during boot. Instead I get a text splash with 3 strange characters in the middle instead of the 3 little squares.
- When I boot with acpi=off I always get a graphical splash screen.
- Strange however: When I boot a read-only snapshot with acpi enabled I DO get a graphical splash screen.
 
- Also note: first try of Leap was using Legacy BIOS instead of UEFI: In Legacy mode Grub was displayed in low resolution, was really ugly and very very slow (characters where displayed one by one). Also booting Leap was in low resolution. ACPI enabled resulted in black screen. But also with ACPI disabled Xorg fails to start while that does work when booted in UEFI with ACPI disabled.
Comment 16 Takashi Iwai 2015-11-11 10:46:20 UTC
Thanks for comprehensive tests.  So, yeah, this looks more like an ACPI-related issue.  Normally, this device should have been enabled via HID driver.  But it failed due to some reason, as found repeatedly:

 i2c_hid i2c-ELAN0501:00: Failed to get GPIO interrupt
 i2c_hid i2c-INT33D1:00: Failed to get GPIO interrupt

It implies that the GPIO description assigned to this device via ACPI doesn't exist or is wrong.

Jiri, do you have any clue?

In anyway, I suppose this should be reported rather to upstream, as it's a problem seen in the latest upstream.
Comment 17 Giacomo Comes 2016-01-14 22:05:57 UTC
Any news on this bug? I have too the same laptop (Acer Aspire R3-131T) and I'm using leap 42.1. With kernel 4.1 you have to pass the option acpi=off in order to boot the laptop, but there is no graphic acceleration and only one CPU core is available (touchpad works). With kernel 4.4.0 there is no need of acpi=off, but then the touchpad is not working and there are a lot of messages about the GPIO interrupt in the log:
 i2c_hid i2c-ELAN0501:00: Failed to get GPIO interrupt
 i2c_hid i2c-INT33D1:00: Failed to get GPIO interrupt

So has this problem being reported upstream? Where exactly? Is there any patch that I can test?
Comment 18 Alexander Graf 2016-01-15 19:54:31 UTC
This is actually an openSUSE bug. The platform we have here is an Intel Braswell which has a Cherrytrail GPIO controller. Unfortunately we don't compile in that one in the openSUSE kernel config:

  # CONFIG_PINCTRL_CHERRYVIEW is not set

Once enabled, Linux can find the touchpad. There is still something broken with the SD card input detection (also going via the GPIO controller), but I haven't tracked that down yet.

Also, once Linux can successfully detect the device, it still won't work thanks to

  https://bugzilla.kernel.org/show_bug.cgi?id=108481

which would have to get backported to our kernel (or we wait for stable).
Comment 19 Takashi Iwai 2016-01-18 17:20:08 UTC
Ouch, that config has been missing from the very first time.
Alex, could you send a pull request including the fix at least?  I guess we need the fix for openSUSE-42.1 branch, too.
Comment 20 Giacomo Comes 2016-01-19 16:41:38 UTC
I can confirm that after enabling CONFIG_PINCTRL_CHERRYVIEW and using the patch:
  https://bugzilla.kernel.org/show_bug.cgi?id=108481
the touchpad is working on my aspire R3-131T (kernel 4.4.0). The SD card has problem indeed, so if a patch for it is available please let me know and I will test it.

About Leap 42.1 it would be great if not only the touchpad get fixed, but also if the support for the Braswell chip can be improved.
Comment 21 Takashi Iwai 2016-01-20 09:17:03 UTC
Never mind, I updated config and backported the patch, and pushed for master branch by myself.  Once when my request is pulled and merged back to stable branch, this can be fixed, finally.
Comment 22 Takashi Iwai 2016-01-20 11:22:00 UTC
The fixes are also merged to openSUSE-42.1 branch.
Comment 23 Bernhard Wiedemann 2016-01-20 22:00:10 UTC
This is an autogenerated message for OBS integration:
This bug (954532) was mentioned in
https://build.opensuse.org/request/show/355080 42.1 / kernel-source
Comment 24 Alexander Graf 2016-01-23 21:26:53 UTC
Sorry, I got distracted while cooking up the git commit. The SD card is broken because of module ordering.

Usually on platform devices, when the GPIO pin can't be found yet because the pinctrl hasn't been initialized, the driver should emit a defer error. Here it just fails.

Let's see whether someone beats me to a patch on that one too :)
Comment 25 Alexander Graf 2016-01-23 21:27:15 UTC
Oh and thanks a lot Takashi!
Comment 26 Takashi Iwai 2016-01-24 08:03:39 UTC
(In reply to Alexander Graf from comment #24)
> Sorry, I got distracted while cooking up the git commit. The SD card is
> broken because of module ordering.
> 
> Usually on platform devices, when the GPIO pin can't be found yet because
> the pinctrl hasn't been initialized, the driver should emit a defer error.
> Here it just fails.

Ah, then putting pinctrl-cherryview to initrd would work around the problem?

> Let's see whether someone beats me to a patch on that one too :)

I wonder how would be the best fix for this.  Certainly we don't want a strong dependency between pinctrl and sdhci drivers.

In anyway, the SD-card issue is worth to open another bug report.
Comment 27 Swamp Workflow Management 2016-01-29 13:13:49 UTC
openSUSE-SU-2016:0280-1: An update that solves 10 vulnerabilities and has 18 fixes is now available.

Category: security (important)
Bug References: 865096,865259,913996,950178,950998,952621,954324,954532,954647,955422,956708,957152,957988,957990,958439,958463,958504,958510,958886,958951,959190,959399,960021,960710,961263,961509,962075,962597
CVE References: CVE-2015-7550,CVE-2015-8539,CVE-2015-8543,CVE-2015-8550,CVE-2015-8551,CVE-2015-8552,CVE-2015-8569,CVE-2015-8575,CVE-2015-8767,CVE-2016-0728
Sources used:
openSUSE Leap 42.1 (src):    kernel-debug-4.1.15-8.1, kernel-default-4.1.15-8.1, kernel-docs-4.1.15-8.3, kernel-ec2-4.1.15-8.1, kernel-obs-build-4.1.15-8.2, kernel-obs-qa-4.1.15-8.1, kernel-obs-qa-xen-4.1.15-8.1, kernel-pae-4.1.15-8.1, kernel-pv-4.1.15-8.1, kernel-source-4.1.15-8.1, kernel-syms-4.1.15-8.1, kernel-vanilla-4.1.15-8.1, kernel-xen-4.1.15-8.1
Comment 35 Andrés Barrantes Silman 2020-09-25 03:23:43 UTC
Interestingly, my Acer Aspire 5 (A515-43-R19L) had the touchpad working inconsistently across reboots (sometimes it got detected and sometimes it didn't).

Same problem, it wasn't listed at all in /proc/bus/input/devices when it wasn't working, and when it worked it did get listed.

Adding i8042.nopnp to kernel options did fix the behavior, which I am posting here just in case somebody comes across the same issue. I'm not sure but it seems like the touchpad driver was freezing Leap 15.2 on some reboots so I jumped into Tumbleweed since the hardware is fairly new, and it worked fine.
I'm not sure why would this kernel parameter fix it, and I didn't check dmesg, but ok!
Comment 36 Jiri Kosina 2020-09-25 10:25:00 UTC
Thanks for reporting, so we can add the device to nopnp table in  the kernel. Could you please post dmidecode output from that system?

Are you fine with being added to the upstream commit log with your 'Reported-by:'?

Thanks.
Comment 37 Andrés Barrantes Silman 2020-09-25 15:20:44 UTC
Created attachment 841957 [details]
dmidecode Acer A515

Sure, you can add my name in the commit!
Comment 38 Andrés Barrantes Silman 2020-09-25 18:34:44 UTC
I can confirm this is the same issues as mines, just checked dmesg without the kernel parameter and found the exact same line:

i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
Comment 39 Jiri Kosina 2020-09-25 21:32:35 UTC
(In reply to Andrés Barrantes Silman from comment #37)
> Created attachment 841957 [details]
> dmidecode Acer A515
> 
> Sure, you can add my name in the commit!

Thanks.

BTW the identifiers in dmidecode are quite funny, and rather unexpected on ASUS hardware. Is this really original ASUS-produced machine?

        Base Board Information
       	        Manufacturer: PK
	        Product Name: Grumpy_PK

Anyway, will submit the patch upstream with your Reported-by: and will CC you. Thanks.
Comment 40 Andrés Barrantes Silman 2020-09-25 22:15:47 UTC
I was already used to smartphone manufacturers using weird codenames, but I didn't know the tradition was also a thing on laptops!

A search on the internet proved me it's the right name, as reported by some users on Windows. ej: https://browser.geekbench.com/v4/cpu/14583235

Thanks for helping other users!
Comment 46 OBSbugzilla Bot 2020-10-16 19:23:36 UTC
This is an autogenerated message for OBS integration:
This bug (954532) was mentioned in
https://build.opensuse.org/request/show/842179 15.2 / kernel-source
Comment 47 Swamp Workflow Management 2020-10-19 22:22:42 UTC
openSUSE-SU-2020:1698-1: An update that solves 7 vulnerabilities and has 39 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1155798,1165692,1168468,1171675,1171688,1174003,1174098,1175599,1175621,1175718,1175807,1176019,1176381,1176400,1176588,1176907,1176979,1177090,1177109,1177121,1177193,1177194,1177206,1177258,1177271,1177283,1177284,1177285,1177286,1177297,1177384,1177511,1177617,1177681,1177683,1177687,1177694,1177697,1177719,1177724,1177725,1177726,802154,954532
CVE References: CVE-2020-12351,CVE-2020-12352,CVE-2020-24490,CVE-2020-25212,CVE-2020-25641,CVE-2020-25643,CVE-2020-25645
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    kernel-debug-5.3.18-lp152.47.2, kernel-default-5.3.18-lp152.47.2, kernel-docs-5.3.18-lp152.47.1, kernel-kvmsmall-5.3.18-lp152.47.2, kernel-obs-build-5.3.18-lp152.47.2, kernel-obs-qa-5.3.18-lp152.47.1, kernel-preempt-5.3.18-lp152.47.2, kernel-source-5.3.18-lp152.47.2, kernel-syms-5.3.18-lp152.47.1
Comment 48 Swamp Workflow Management 2020-10-21 16:28:39 UTC
SUSE-SU-2020:2980-1: An update that solves 6 vulnerabilities and has 36 fixes is now available.

Category: security (critical)
Bug References: 1065600,1065729,1155798,1165692,1168468,1171675,1171688,1174003,1174098,1175599,1175621,1175807,1176019,1176400,1176907,1176979,1177090,1177109,1177121,1177193,1177194,1177206,1177258,1177271,1177283,1177284,1177285,1177286,1177297,1177384,1177511,1177617,1177681,1177683,1177687,1177694,1177697,1177719,1177724,1177725,1177726,954532
CVE References: CVE-2020-12351,CVE-2020-12352,CVE-2020-24490,CVE-2020-25641,CVE-2020-25643,CVE-2020-25645
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    kernel-default-5.3.18-24.29.2
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    kernel-default-5.3.18-24.29.2
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    kernel-docs-5.3.18-24.29.2, kernel-obs-build-5.3.18-24.29.2, kernel-preempt-5.3.18-24.29.2, kernel-source-5.3.18-24.29.2, kernel-syms-5.3.18-24.29.2
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    kernel-default-5.3.18-24.29.2, kernel-default-base-5.3.18-24.29.2.9.9.3, kernel-preempt-5.3.18-24.29.2, kernel-source-5.3.18-24.29.2
SUSE Linux Enterprise High Availability 15-SP2 (src):    kernel-default-5.3.18-24.29.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 49 Swamp Workflow Management 2020-10-21 16:33:54 UTC
SUSE-SU-2020:2980-1: An update that solves 6 vulnerabilities and has 36 fixes is now available.

Category: security (critical)
Bug References: 1065600,1065729,1155798,1165692,1168468,1171675,1171688,1174003,1174098,1175599,1175621,1175807,1176019,1176400,1176907,1176979,1177090,1177109,1177121,1177193,1177194,1177206,1177258,1177271,1177283,1177284,1177285,1177286,1177297,1177384,1177511,1177617,1177681,1177683,1177687,1177694,1177697,1177719,1177724,1177725,1177726,954532
CVE References: CVE-2020-12351,CVE-2020-12352,CVE-2020-24490,CVE-2020-25641,CVE-2020-25643,CVE-2020-25645
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    kernel-default-5.3.18-24.29.2
SUSE Linux Enterprise Module for Live Patching 15-SP2 (src):    kernel-default-5.3.18-24.29.2, kernel-livepatch-SLE15-SP2_Update_5-1-5.3.3
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    kernel-default-5.3.18-24.29.2
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    kernel-docs-5.3.18-24.29.2, kernel-obs-build-5.3.18-24.29.2, kernel-preempt-5.3.18-24.29.2, kernel-source-5.3.18-24.29.2, kernel-syms-5.3.18-24.29.2
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    kernel-default-5.3.18-24.29.2, kernel-default-base-5.3.18-24.29.2.9.9.3, kernel-preempt-5.3.18-24.29.2, kernel-source-5.3.18-24.29.2
SUSE Linux Enterprise High Availability 15-SP2 (src):    kernel-default-5.3.18-24.29.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 53 Swamp Workflow Management 2020-11-06 20:56:12 UTC
SUSE-SU-2020:3230-1: An update that solves four vulnerabilities and has 20 fixes is now available.

Category: security (important)
Bug References: 1065600,1155798,1168468,1171675,1175599,1175718,1176019,1176381,1176588,1176979,1177027,1177121,1177193,1177194,1177206,1177258,1177283,1177284,1177285,1177286,1177297,1177384,1177511,954532
CVE References: CVE-2020-25212,CVE-2020-25641,CVE-2020-25643,CVE-2020-25645
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP2 (src):    kernel-rt-5.3.18-13.1, kernel-rt_debug-5.3.18-13.1, kernel-source-rt-5.3.18-13.1, kernel-syms-rt-5.3.18-13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 54 Swamp Workflow Management 2020-11-29 20:28:01 UTC
openSUSE-SU-2020:2112-1: An update that solves 15 vulnerabilities and has 102 fixes is now available.

Category: security (important)
Bug References: 1055014,1055186,1061843,1065600,1065729,1066382,1077428,1129923,1134760,1149032,1152489,1155798,1163592,1164648,1165692,1166146,1166166,1167030,1168468,1170415,1171675,1171688,1174003,1174098,1174748,1174969,1175052,1175306,1175599,1175621,1175718,1175721,1175749,1175807,1175898,1176019,1176354,1176381,1176400,1176485,1176588,1176713,1176907,1176979,1177086,1177090,1177109,1177121,1177193,1177194,1177206,1177258,1177271,1177281,1177283,1177284,1177285,1177286,1177297,1177353,1177384,1177410,1177411,1177470,1177511,1177617,1177681,1177683,1177687,1177694,1177697,1177719,1177724,1177725,1177726,1177739,1177749,1177750,1177754,1177755,1177765,1177766,1177799,1177801,1177814,1177817,1177854,1177855,1177856,1177861,1178002,1178079,1178123,1178166,1178173,1178175,1178176,1178177,1178183,1178184,1178185,1178186,1178190,1178191,1178246,1178255,1178307,1178330,1178393,1178395,1178461,1178579,1178581,1178584,1178585,802154,954532
CVE References: CVE-2020-12351,CVE-2020-12352,CVE-2020-14351,CVE-2020-16120,CVE-2020-24490,CVE-2020-25212,CVE-2020-25285,CVE-2020-25641,CVE-2020-25643,CVE-2020-25645,CVE-2020-25656,CVE-2020-25668,CVE-2020-25704,CVE-2020-25705,CVE-2020-8694
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    kernel-default-base-5.3.18-lp152.50.1.lp152.8.10.1
Comment 56 Swamp Workflow Management 2021-02-05 21:48:03 UTC
openSUSE-SU-2021:0242-1: An update that solves 79 vulnerabilities and has 676 fixes is now available.

Category: security (moderate)
Bug References: 1034995,1040855,1043347,1044120,1044767,1055014,1055117,1055186,1058115,1061843,1065600,1065729,1066382,1071995,1077428,1085030,1094244,1094840,1109695,1115431,1120163,1129923,1133021,1134760,1136666,1138374,1139944,1148868,1149032,1152148,1152457,1152472,1152489,1153274,1154353,1154488,1154492,1154824,1155518,1155798,1156315,1156395,1157169,1158050,1158242,1158265,1158748,1158765,1158775,1158983,1159058,1159781,1159867,1159886,1160388,1160634,1160947,1161099,1161495,1162002,1162063,1162209,1162400,1162702,1163592,1163727,1164648,1164777,1164780,1165211,1165455,1165629,1165692,1165933,1165975,1166146,1166166,1166340,1166965,1166985,1167030,1167104,1167527,1167651,1167657,1167773,1167851,1168230,1168461,1168468,1168779,1168838,1168952,1168959,1169021,1169094,1169194,1169263,1169514,1169681,1169763,1169771,1169790,1169795,1170011,1170139,1170232,1170284,1170415,1170442,1170617,1170621,1170774,1170879,1170891,1170895,1171000,1171068,1171073,1171078,1171117,1171150,1171156,1171189,1171191,1171218,1171219,1171220,1171236,1171242,1171246,1171285,1171293,1171374,1171390,1171391,1171392,1171417,1171426,1171507,1171513,1171514,1171529,1171530,1171558,1171634,1171644,1171662,1171675,1171688,1171699,1171709,1171730,1171732,1171736,1171739,1171742,1171743,1171759,1171773,1171774,1171775,1171776,1171777,1171778,1171779,1171780,1171781,1171782,1171783,1171784,1171785,1171786,1171787,1171788,1171789,1171790,1171791,1171792,1171793,1171794,1171795,1171796,1171797,1171798,1171799,1171810,1171827,1171828,1171832,1171833,1171834,1171835,1171839,1171840,1171841,1171842,1171843,1171844,1171849,1171857,1171868,1171904,1171915,1171982,1171983,1171988,1172017,1172046,1172061,1172062,1172063,1172064,1172065,1172066,1172067,1172068,1172069,1172073,1172086,1172095,1172108,1172145,1172169,1172170,1172197,1172201,1172208,1172223,1172247,1172317,1172342,1172343,1172344,1172365,1172366,1172374,1172391,1172393,1172394,1172418,1172419,1172453,1172458,1172467,1172484,1172537,1172543,1172687,1172719,1172733,1172739,1172751,1172757,1172759,1172775,1172781,1172782,1172783,1172814,1172823,1172841,1172871,1172873,1172938,1172939,1172940,1172956,1172963,1172983,1172984,1172985,1172986,1172987,1172988,1172989,1172990,1172999,1173017,1173068,1173074,1173085,1173115,1173139,1173206,1173267,1173271,1173280,1173284,1173428,1173438,1173461,1173468,1173485,1173514,1173552,1173573,1173625,1173746,1173776,1173798,1173813,1173817,1173818,1173820,1173822,1173823,1173824,1173825,1173826,1173827,1173828,1173830,1173831,1173832,1173833,1173834,1173836,1173837,1173838,1173839,1173841,1173843,1173844,1173845,1173847,1173849,1173860,1173894,1173941,1173954,1174002,1174003,1174018,1174026,1174029,1174072,1174098,1174110,1174111,1174116,1174126,1174127,1174128,1174129,1174146,1174185,1174205,1174244,1174263,1174264,1174331,1174332,1174333,1174345,1174356,1174358,1174362,1174387,1174396,1174398,1174407,1174409,1174411,1174438,1174462,1174484,1174486,1174513,1174527,1174625,1174627,1174645,1174689,1174699,1174737,1174748,1174757,1174762,1174770,1174771,1174777,1174805,1174824,1174825,1174852,1174865,1174880,1174897,1174899,1174906,1174969,1175009,1175010,1175011,1175012,1175013,1175014,1175015,1175016,1175017,1175018,1175019,1175020,1175021,1175052,1175079,1175112,1175116,1175128,1175149,1175175,1175176,1175180,1175181,1175182,1175183,1175184,1175185,1175186,1175187,1175188,1175189,1175190,1175191,1175192,1175195,1175199,1175213,1175232,1175263,1175284,1175296,1175306,1175344,1175345,1175346,1175347,1175367,1175377,1175440,1175480,1175493,1175546,1175550,1175599,1175621,1175654,1175667,1175691,1175718,1175721,1175749,1175768,1175769,1175770,1175771,1175772,1175774,1175775,1175787,1175807,1175834,1175873,1175882,1175898,1175918,1175952,1175995,1175996,1175997,1175998,1175999,1176000,1176001,1176019,1176022,1176038,1176063,1176069,1176109,1176137,1176180,1176200,1176235,1176236,1176237,1176242,1176354,1176357,1176358,1176359,1176360,1176361,1176362,1176363,1176364,1176365,1176366,1176367,1176381,1176396,1176400,1176423,1176449,1176481,1176485,1176486,1176507,1176536,1176537,1176538,1176539,1176540,1176541,1176542,1176543,1176544,1176545,1176546,1176548,1176558,1176559,1176564,1176586,1176587,1176588,1176659,1176698,1176699,1176700,1176713,1176721,1176722,1176725,1176732,1176763,1176775,1176788,1176789,1176833,1176855,1176869,1176877,1176907,1176925,1176942,1176956,1176962,1176979,1176980,1176983,1176990,1177021,1177030,1177066,1177070,1177086,1177090,1177109,1177121,1177193,1177194,1177206,1177258,1177271,1177281,1177283,1177284,1177285,1177286,1177297,1177326,1177353,1177384,1177397,1177410,1177411,1177470,1177500,1177511,1177617,1177666,1177679,1177681,1177683,1177687,1177694,1177697,1177698,1177703,1177719,1177724,1177725,1177726,1177733,1177739,1177749,1177750,1177754,1177755,1177765,1177766,1177799,1177801,1177814,1177817,1177820,1177854,1177855,1177856,1177861,1178002,1178049,1178079,1178123,1178166,1178173,1178175,1178176,1178177,1178182,1178183,1178184,1178185,1178186,1178190,1178191,1178203,1178227,1178246,1178255,1178270,1178286,1178307,1178330,1178393,1178395,1178401,1178426,1178461,1178579,1178581,1178584,1178585,1178589,1178590,1178612,1178634,1178635,1178653,1178659,1178660,1178661,1178669,1178686,1178740,1178755,1178756,1178762,1178780,1178838,1178853,1178886,1179001,1179012,1179014,1179015,1179045,1179076,1179082,1179107,1179140,1179141,1179160,1179201,1179204,1179211,1179217,1179419,1179424,1179425,1179426,1179427,1179429,1179432,1179434,1179435,1179442,1179519,1179550,1179575,1179578,1179601,1179604,1179639,1179652,1179656,1179670,1179671,1179672,1179673,1179675,1179676,1179677,1179678,1179679,1179680,1179681,1179682,1179683,1179684,1179685,1179687,1179688,1179689,1179690,1179703,1179704,1179707,1179709,1179710,1179711,1179712,1179713,1179714,1179715,1179716,1179745,1179763,1179887,1179888,1179892,1179896,1179960,1179963,1180027,1180029,1180031,1180052,1180056,1180086,1180117,1180258,1180261,1180349,1180506,1180541,1180559,1180566,173030,744692,789311,954532,995541
CVE References: CVE-2019-19462,CVE-2019-20810,CVE-2019-20812,CVE-2020-0110,CVE-2020-0305,CVE-2020-0404,CVE-2020-0427,CVE-2020-0431,CVE-2020-0432,CVE-2020-0444,CVE-2020-0465,CVE-2020-0466,CVE-2020-0543,CVE-2020-10135,CVE-2020-10711,CVE-2020-10732,CVE-2020-10751,CVE-2020-10757,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10773,CVE-2020-10781,CVE-2020-11668,CVE-2020-12351,CVE-2020-12352,CVE-2020-12652,CVE-2020-12656,CVE-2020-12769,CVE-2020-12771,CVE-2020-12888,CVE-2020-13143,CVE-2020-13974,CVE-2020-14314,CVE-2020-14331,CVE-2020-14351,CVE-2020-14356,CVE-2020-14385,CVE-2020-14386,CVE-2020-14390,CVE-2020-14416,CVE-2020-15393,CVE-2020-15436,CVE-2020-15437,CVE-2020-15780,CVE-2020-16120,CVE-2020-16166,CVE-2020-1749,CVE-2020-24490,CVE-2020-2521,CVE-2020-25212,CVE-2020-25284,CVE-2020-25285,CVE-2020-25641,CVE-2020-25643,CVE-2020-25645,CVE-2020-25656,CVE-2020-25668,CVE-2020-25669,CVE-2020-25704,CVE-2020-25705,CVE-2020-26088,CVE-2020-27068,CVE-2020-27777,CVE-2020-27786,CVE-2020-27825,CVE-2020-27830,CVE-2020-28915,CVE-2020-28941,CVE-2020-28974,CVE-2020-29369,CVE-2020-29370,CVE-2020-29371,CVE-2020-29373,CVE-2020-29660,CVE-2020-29661,CVE-2020-36158,CVE-2020-4788,CVE-2020-8694
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    kernel-rt-5.3.18-lp152.3.5.1, kernel-rt_debug-5.3.18-lp152.3.5.1, kernel-source-rt-5.3.18-lp152.3.5.1, kernel-syms-rt-5.3.18-lp152.3.5.1